#!/bin/ksh

set -a

_SMIT_TRACE_FLAG=0
_SMIT_LOG_FILE=0
_SMIT_SCRIPT_FILE=0
_SMIT_DEBUG_FLAG=0
_SMIT_VERBOSE_FLAG=0

ODMDIR=${PATH_TSM}/SMIT_TSM

cat << @EOFF > ./MenuTsm.txt
$(. ./000-ROOT_titre.txt )
$(cat ./000-MENU.txt )
$(cat ./001001-DsmAdmcOnline.txt )
$(cat ./001002-Gestion_TSM.txt )
$(cat ./001002001-Arret_TSM.txt )
$(cat ./001002002-Start_TSM.txt )
$(cat ./001003-select_table.txt )
$(cat ./001004-Select_predefinis.txt )
$(cat ./001009-HelpCdeTSM.txt )
$(cat ./001010-ConsultFicPRA.txt )
$(cat ./001012-Nbre_Sessions_TSM.txt )
$(cat ./001013-Process_TSM.txt )
$(cat ./001014-Query_ACTLOG.txt )
$(cat ./001015-Vide.txt )
$(cat ./010005-Clients_AIX.txt )
$(cat ./010007-Demarrage_Clients_Hermes.txt )
$(cat ./020009-Demarrage_Robot_SL8500.txt )
$(cat ./050001-Divers_utilitaires.txt )
$(cat ./050002-Summary_SaveNode_perDay.txt )
$(cat ./050010-Ouvrir_session.txt )
$(cat ./600005-Entity_Primary.txt )
$(cat ./600005001-DOMAIN_Define.txt )
$(cat ./600005003-DOMAIN_Query.txt )
$(cat ./600005007-DEVCLASS_Query.txt )
$(cat ./600005011-POLICYSET_Query.txt )
$(cat ./600005015-LIBRARY_Query.txt )
$(cat ./600010-Entity_Second.txt )
$(cat ./600010005-Node_Query.txt )
$(cat ./600010006-Node_Register.txt )
$(cat ./600010007-Node_Delete.txt )
$(cat ./600010008-Path_Define.txt )
$(cat ./600010010-Path_Query.txt )
$(cat ./600010021-Volume_Query.txt )
$(cat ./600010024-Association_Define.txt )
$(cat ./600010032-Association_Query.txt )
$(cat ./700005-QueryAcsls.txt )
$(cat ./700005010-Ascls_QdrALL.txt )
$(cat ./700005020-Ascls_QlsmALL.txt )
$(cat ./700005030-Ascls_QcapALL.txt )
$(cat ./700005040-Ascls_QreqALL.txt )
$(cat ./700005050-Ascls_QcleanALL.txt )
$(cat ./700005060-Ascls_DisplayVol.txt )
$(cat ./700015-AutresCdesAcsls.txt )
$(cat ./700015020-Ascls_Session.txt )
$(cat ./805-Documentation.txt )
$(cat ./810-RestaurerSnapshot.txt )
$(cat ./811-RestaurerBaseHercule.txt )
$(cat ./070001-VariablesTSM.txt )
@EOFF

odmdelete -o sm_name_hdr
odmdelete -o sm_menu_opt
odmdelete -o sm_cmd_opt
odmdelete -o sm_cmd_hdr

odmadd ./MenuTsm.txt

##smit -o $ODMDIR -l /dev/null
#smit -o $ODMDIR
