#!/bin/ksh
#
# Dates format ssaa-mm-jj
#
#   Annee +1 avec qtieme
#

CalDate()
{
for day in $( cal $1 $2 | tr "\n" " " | cut -c55- )
do
(( qtiem+=1 ))
test ${#qtiem} -lt 2 && qtiem="00"${qtiem}
test ${#qtiem} -lt 3 && qtiem="0"${qtiem}
test ${#day} -lt 2 && day="0"${day}
echo "${jour[${Jo}]} "$day-${1}-${2}" "$qtiem
(( Jo+=1 ))
 test $Jo -gt 7 && Jo=1 && echo "#"
done
}

#######

set -a

test $# -eq 0 && Year=$( date +%Y ) || Year=$1
##(( Year+=1 ))
test $# -eq 2 && MMois=$2 || MMois=12

typeset -L12 jour

qtiem=0
Mois=0

jour[1]=Lundi
jour[2]=Mardi
jour[3]=Mercredi
jour[4]=Jeudi
jour[5]=Vendredi
jour[6]=Samedi
jour[7]=Dimanche

jMois[1]=Janvier
jMois[2]=Fevrier
jMois[3]=Mars
jMois[4]=Avril
jMois[5]=Mai
jMois[6]=Juin
jMois[7]=Juillet
jMois[8]=Aout
jMois[9]=Septembre
jMois[10]=Octobre
jMois[11]=Novembre
jMois[12]=Decembre

#----- 1 jour de l annee
  Jo=$(  cal 01 $Year | grep " 1 " | awk '{ print 7-NF }' )
  test $Jo -eq 0 && Jo=7

(
 while [ $Mois -lt $MMois ]
 do
    (( Mois+=1 ))
    test ${#Mois} -lt 2 && Mois="0"${Mois}
    echo "#"
    echo "#=== ${jMois[${Mois}]} ===#"
    echo "#"
    CalDate $Mois $Year
 done
)

