#!/bin/ksh
#
#  delete de nouveaux stgpool normes agora
#

typeset -u Node StgPool

if test $# -eq 0 
then
cat << @EOFF

$0 Node=' ' LibNode=' ' StgPool=' ' RetStgPool=' ' LibStgPool=' '

@EOFF
exit 
fi

while [ $# -gt 0 ]
do
 eval $( echo $1 | sed "s/=/=\'/;s/$/\'/")
shift
done


## echo " Saisir Node            : \c"
## read Node
## echo " Saisir Libelle Node    : \c"
## read LibNode
## 
## echo " Saisir StgPool         : \c"
## read StgPool
## echo " Retention StgPool      : \c"
## read RetStgPool
## echo " Saisir Libelle StgPool : \c"
## read LibStgPool

ExisteNode=$( ./Select_Table_TSM.ksh COLAFFICHE='NODE_NAME' TABLE='NODES' COLCIBLE='NODE_NAME VARCHAR' CRITCIBLE='=' VALCIBLE=$Node SQLDISPLAYMODE='Narrow' | tail +6 | grep -v ANS | sed '/^$/d' )

##--------------------------------------------
##----- Creation des DOMAIN et POLICY
##--------------------------------------------

if test ! -z "${Node}"
then
if test -z "${ExisteNode}"
then
cat << @EOFF

delete domain DM_${Node}
delete POLICYSET DM_${Node} PS_${Node}
@EOFF
fi
fi

case $( echo ${StgPool} | cut -d"_" -f2 ) in 
BDD|BKUP)
cat << @EOFF

delete MGMTCLASS DM_${Node} PS_${Node} MC_BDD_${Node}
delete stgpool ${StgPool}
delete COpygroup DM_${Node} PS_${Node} MC_BDD_${Node} type=backup

@EOFF
;;

BKUP)
cat << @EOFF

delete MGMTCLASS DM_${Node} PS_${Node} MC_FILE_${Node}
delete stgpool ${StgPool}
delete COpygroup DM_${Node} PS_${Node} MC_FILE_${Node} type=backup

@EOFF
;;

DSK)

TypePool=$(  echo ${StgPool} | cut -d"_" -f3 )

##--------------------------------------------
##----- Creation des POOL DISQUES
##--------------------------------------------

case $(  echo ${StgPool} | cut -d"_" -f3 ) in
BDD)
   PoolVide="/POOLBDD?/VOL??"
   PoolTaille=4096
          ;;
BKUP)
   PoolVide="/POOLFIC?/VOL??"
   PoolTaille=512
          ;;

esac

cat << @EOFF

delete stgpool ${StgPool}
DELete Volume ${StgPool} DISCARDdata=Yes Wait=Yes

@EOFF
;;

esac


##--------------------------------------------
##----- Creation des NODES
##--------------------------------------------

cat << @EOFF

remove NODE ND_${Node} 

@EOFF

