#!/bin/ksh
#
# Dates format ssaa-mm-jj 
#
#   Mois en cours et Mois - 1
#

CalDate()
{
for day in $( cal $1 $2 | tr "\n" " " | cut -c55- )
do
test ${#day} -lt 2 && day="0"${day}
test ${2}${1}$day -le $datej && echo ${2}-${1}-$day
done
}

datej=$( date +%Y%m%d )

test -z "$1" && Mois=$( date +%m ) || Mois=$1
MoisP=$Mois

test -z "$2" && Year=$( date +%Y ) || Year=$2
YearP=$Year

(( MoisP-=1 ))
test $MoisP -eq 0 && MoisP=12 && (( YearP-=1 ))

test ${#Mois} -lt 2 && Mois="0"${Mois}
test ${#MoisP} -lt 2 && MoisP="0"${MoisP}

(
 CalDate $Mois $Year
 CalDate $MoisP $YearP
) | sort -r
