
#
# Pour ventiler les scripts de resto PRA sur les # serveurs indiques dans TABNODE
#

TABNODE="\
 aphrodite#GA_TECH#${PATH_TSM}/PRA\
 giono#CK_TECH#/usr${PATH_TSM}/PRA\
 helios#CB_TECH#${PATH_TSM}/PRA\
 helios#GA_CB#${PATH_TSM}/PRA\
 hera#CA_TECH#${PATH_TSM}/PRA\
 heracles#C2_TECH#${PATH_TSM}/PRA\
 hercule#C9_TECH#${PATH_TSM}/PRA\
 hermes#G6_TECH#${PATH_TSM}/PRA\
 lassie#C1_TECH#${PATH_TSM}/PRA\
 lassie#GA_C1#${PATH_TSM}/PRA\
 musso#F1_TECH#${PATH_TSM}/PRA"

for ligne in ${TABNODE}
do
client=$( echo $ligne | cut -d"#" -f1 )
node=$( echo $ligne | cut -d"#" -f2 )
path=$( echo $ligne | cut -d"#" -f3 )

FicOut=GENERER_RESTO_PRA_${node}.ksh

cat << @EOFF
ksh GENERER_RESTO_PRA.ksh FONCTION=GENERER_RESTO_PRA CLIENT=${client} NODE=${node} FILTRE=noprompt GENERER=Oui | sed 's#=/tmp#=$path#' > /tmp/${FicOut}
scp /tmp/${FicOut} root@${client}:${path}/
ssh root@${client} "ksh ${path}/${FicOut}"
test -f /tmp/${FicOut} && rm /tmp/${FicOut}

@EOFF

##cat << @EOFF
##ssh root@${client} "rm ${path}/RESTO_PRA_${node}_20101004"
##ssh root@${client} "ls ${path}/*PRA*2010* | grep -v 20101014 | sed 's/^/ssh root@${client} rm /'"
##echo "--------- ${client} -----------------"
##ssh root@${client} "ls ${path}/*PRA*"
##@EOFF

done

cat << @EOFF
test -f /tmp/GENERER_RESTO_PRA_* && rm /tmp/GENERER_RESTO_PRA_*
@EOFF

