#!/bin/ksh
#----------------------------------------------------------
#  Executer un utilitaire TSM present dans OUTILS_TSM
#----------------------------------------------------------
#
ModelAppel()
{
cat << @EOFF

Parametres attendus :

 $0 ScRiPt='script_a_executer'  MaIl='Oui' ( facultatif par defaut NON )
ou
 $0 ScRiPt='script_a_executer,script_a_executer'  MaIl='Oui' ( facultatif par defaut NON )

 $1

@EOFF
exit $2
}
TeStScr()
{
test -f "${1}" || ModelAppel "Probleme ScRiPt : ${1} " 9
test "$( basename ${1})" = "$( basename ${0})" && ModelAppel "Probleme ScRiPt : ne peut etre soi meme " 9
}

##
### MAIN
##

set -a

. ${PATH_TSM}/data/requete_control_TSM_$(uname -n).parm

#-------- recuperer valeurs saisies
while [ $# -gt 0 ]
do
eval $( echo $1 | sed "s/=/=\'/;s/$/\'/")
shift
done

#-------- Tester valeurs recus
test ! -z "${MaIl}" && mail=Oui
test -z "${ScRiPt}" && ModelAppel

#--------------- 
TabUtiLiTaire="$( echo ${ScRiPt} | sed 's/,/ /g')"
for UtiLiTaire in ${TabUtiLiTaire}
do
TeStScr "${PathOutils}/${UtiLiTaire}" 
done

#---------- Si pas TSM on sort

${AccesTsm} -dataonly=yes -Quiet q status || exit

#
#---------------------------------------------
# Execution des utilitaires souhaites
#---------------------------------------------
#

for UtiLiTaire in ${TabUtiLiTaire}
do

Script=${PathOutils}/${UtiLiTaire}

LibMail="[TSM - $( uname -n ) ] $( head -n +5 ${Script}  |  sed "s/#//g;s/-//g;s/=//g;/^$/d;/^!/d" )"

echo "======================================================================================"
echo "${LibMail}"
echo "======================================================================================"

case $mail in
        Oui)
totscrath=
if test "${UtiLiTaire}" = "Count_Nbre_bandes_Volrange_scratchs.ksh"
then
     ${Script} > ${FicOut}
     totscrath="$? %"
      mail -s"${LibMail} ${totscrath}" ${DestMail} < ${FicOut}
else
     eval ${Script} | tee ${FicOut} | test $( grep -c "ANS8001I Return code 11" ) -eq 0 && mail -s"${LibMail} ${totscrath}" ${DestMail} < ${FicOut}
fi
;;
          *)
. ${Script}
;;
esac

done
test -f ${FicOut} && rm ${FicOut}

exit

