#!/bin/ksh
#=========================================================================
#
#  Ficname     : Liste_K7_VaultRetrieve.ksh
#
#  Redacteur   : JF.GONZALEZ GARCIA
#  Copyright   : CIMAFAP-NANTERRE
#  date        : 30 mai 2011
#  Projet      : TSM
#  Version     : 1.0
#
#  Description : liste les K7 en state Vault Retrieve pour traitement PrepareMoveDRMEDIA.ksh
#
#=========================================================================
#
exit
. ${PATH_TSM}/scripts/profile_scripts

#**********************************************************************************
#
# liste les K7 en state Vault Retrieve
#
#**********************************************************************************

dsmadmc -id=${TsM_uSer} -pa=${TsM_pAss} -dataonly=yes "select VOLUME_NAME from DRMEDIA where STATE = 'VAULTRETRIEVE'" | sed 's/ //g' | grep ^[0-9] | sort -u > ${TsM_K7_Vault_Retrieve}

#**********************************************************************************
#
#  ENVOI DE MAIL POUR demander les K7 a faire revenir du COFFRE
#
#**********************************************************************************

LibMail="[DRM-$( uname -n )] $( awk 'END { print NR }' ${TsM_K7_Vault_Retrieve} ) Cartouches a reclamer a MEMOGARDE "
test -s ${TsM_K7_Vault_Retrieve} || LibMail="[DRM-$( uname -n )] Pas de Cartouche(s) a transmettre a MEMOGARDE "

mail -s "${LibMail}" "${TsM_AdressMail}" < ${TsM_K7_Vault_Retrieve}
