#!/bin/ksh
#-- Chargement des variables necessaires au scripts ----------------#
. ${PATH_TSM}/data/requete_control_TSM_$(uname -n).parm

RC=0

echo "**************************"
echo "*  Lancement des dsmcad  *"
echo "**************************"


for i in `ps -fu root | grep -v grep | grep "dsmcad -optfile" |awk '{ print $2 }'`
do
   kill $i
done

cd /usr/tivoli/tsm/client/ba/bin/
opt=`ls *.opt`

for i in $opt
do
   nohup dsmcad -optfile=/usr/tivoli/tsm/client/ba/bin/$i &
   RC=$(( $RC + $? ))
   sleep 15
done

if [ $RC != 0 ]
then
   echo "!!!! PBM DE LANCEMENT DSMCAD !!!!"
   exit $RC
fi

SCHEDPID=`ps -fu root | grep -v grep | grep "dsmcad" |awk '{ print $2 }'`
echo "********************************************"
echo "*le PID du process dsmcad est : ${SCHEDPID}*"
echo "********************************************"

echo "******************************"
echo "*  Lancement des dsmc sched  *"
echo "******************************"


for i in `ps -fu root | grep -v grep | grep "dsmc sched" |awk '{ print $2 }'`
do
   kill $i
done

cd /usr/tivoli/tsm/client/ba/bin/
domaine=`cat /usr/tivoli/tsm/client/ba/bin/dsm.sys | grep -i SERVERNAME | awk '{ print $2 }'`

for i in $domaine
do
   nohup dsmc sched -se=$i &
   RC=$(( $RC + $? ))
   sleep 15
done


if [ $RC != 0 ]
then
   echo "!!!! PBM DE LANCEMENT DSMC SCHED !!!!"
   exit $RC
fi

SCHEDPID=`ps -fu root | grep -v grep | grep -i "dsmc sched" |awk '{ print $2 }'`
echo "********************************************"
echo "*le PID du process dsmcad est : ${SCHEDPID}*"
echo "********************************************"


