seq=0

colonne="\
Fichier \
FromDate \
ToDate "

zero="0000"
Cde=NODE

typeset -u i

for i in node_name DOmain Format Type
##for i in $colonne
do
op_type=

name=$(echo $i | cut -d"=" -f1 | sed 's/_/ /')
dispvalue=$( echo $i | awk -F"=" '{ print $2 }' )
test ! -z "$dispvalue" && prefix=$(echo $name | sed 's/ //') && op_type=r

(( seq+=10 ))
 lgseq=${#seq}
 (( lgseq-=4 ))
  test $seq -lt 100 && (( lgseq+=1 ))
 seq=$( echo $zero | cut -c1-$lgseq )"$seq"

cat << @EOFF

sm_cmd_opt:                   *---- used for selector and dialog screens
  id                    = "MENU620HdrQuery${Cde}Opt"
  id_seq_num            = "$seq"  *"0" if associated with selector screen
  disc_field_name       = ""
  name                  = " $name"  *text describing this entry
  name_msg_file         = ""  *The file name (not the full path name) that is the Message Facility 
  name_msg_set          = 0   *The Message Facility set ID for the string, name
  name_msg_id           = 0   *The Message Facility message ID for the string, name
  op_type               = "${op_type}"  ** "" or "n" -No auxiliary operations
                              ** "l" - List selection operation de cmd_to_list obtenu par F4 sur menu
                              ** "r" - Ring selection operation de aix_values tab or backtab sur menu pour selection
                              ** "N", "L", and "R"  if the cmd_to_exec exit 0 field will be cleared to an empty string
  entry_type            = "r"  ** "" or "n" - No entry No modifiable
                              ** "t" - Text entry; alphanumeric
                              ** "x" - Hex entry; hexadecimal
                              ** "f" - File entry; a file name should be entered
                              ** "r" - Raw text entry; alphanumeric Leading and trailing spaces are considered
  entry_size            = 0   *Limits the number of characters the user can type in the entry field

  required              = "?"  ** "" or "n" - No; the option is added to cmd_to_exec only if changes initially-displayed
                              ** "y" - prefix field and the value of the entry field are always sent to cmd_to_exec
                              ** "+" - Saisie obligatoire
                              ** "?" - Toujours sauf si vide
  prefix                = "$prefix="  ** flag to send with the entry field value en debut du champ entry
  cmd_to_list           = ""  ** command string used to get a list of valid values for the value field
  cmd_to_list_mode      = ""  ** "" or "a" - Get all fields de cmd_to_list . This is the default case 
                              ** "1" - Get the first field.
                              ** "2" - Get the second field
                              ** "r" - Range; running the command string in the cmd_to_list 
                              ** field returns a range (such as 1..99) instead of a list.
                              ** Ranges are for information only; they are displayed in a list pop-up, but do not change the associated entry field.
  cmd_to_list_postfix   = ""  ** The postfix to interpret and add to the command string specified in the cmd_to_list 
  multi_select          = ""  ** "" - No; a user can select only one value from a list. This is the default case.
                              ** "," - Yes; a user can select multiple items from the list. When the command is built, a comma is inserted between each item.
                              ** "y" - Yes; a user can select multiple values from the list. When the command is built, the option prefix is inserted once before the string of selected items.
                              ** "m" - Yes; a user can select multiple items from the list. When the command is built, the option prefix is inserted before each selected item
  value_index           = 0   ** For an option ring, the zero-origin index to the array of disp_value 
  disp_values           = "${dispvalue}"  ** The array of valid values in an option ring values are separated by , 
  values_msg_file       = ""
  values_msg_set        = 0
  values_msg_id         = 0
  aix_values            = ""  ** If for an option ring, an array of values specified so that each element corresponds to the element in the disp_values
  help_msg_id           = ""
  help_msg_loc          = ""
  help_msg_base         = ""
  help_msg_book         = ""

@EOFF
val=$val":"$i
done

echo $val
echo $val | sed 's/:/:\$/g'
