#!/bin/ksh
#
#
cat << @EOFF
#-----------------------------------------------------------
# Gestion NODE
#-----------------------------------------------------------
#010001 -  DEFINE MACHNODEASSOCIATION (Associate a Node With a Machine)
#010002 -  DELETE MACHNODEASSOCIATION (Delete Association Between a Machine and a Node)
#010003 -  GRANT PROXYNODE (Grant Proxy Authority to a Client Node)
#010004 -  MOVE NODEDATA (Move Data by Node in a Sequential Access Storage Pool)
#010005 -  QUERY NODE (Query Nodes)
010006 -  REGISTER NODE (Register a Node)
010007 -  DELETE NODE (Delete a Node)
#
#-----------------------------------------------------------
# Gestion PATH
#-----------------------------------------------------------
010008 -  DEFINE PATH (Define a Path)
#010009 -  DELETE PATH (Delete a Path)
#010010 -  QUERY PATH (Display a Path Definition)
#010011 -  UPDATE PATH (Change a Path)
#
#-----------------------------------------------------------
# Gestion VOLUME
#-----------------------------------------------------------
#010012 -  DEFINE DBVOLUME (Define a Database Volume)
#010013 -  DEFINE LOGVOLUME (Define a Recovery Log Volume)
#010014 -  DEFINE VOLUME (Define a Volume in a Storage Pool)
#010015 -  DELETE DBVOLUME (Delete a Database Volume)
#010016 -  DELETE LOGVOLUME (Delete a Recovery Log Volume)
#010017 -  DELETE VOLUME (Delete a Storage Pool Volume)
#010018 -  QUERY DBVOLUME (Display Information on One or More Database Volumes)
#010019 -  QUERY LIBVOLUME (Query a Library Volume)
#010020 -  QUERY LOGVOLUME (Display Information on One or More Log Volumes)
#010021 -  QUERY VOLUME (Query Storage Pool Volumes)
#010022 -  UPDATE LIBVOLUME (Change the Status of a Storage Volume)
#010023 -  UPDATE VOLUME (Change a Storage Pool Volume)
#
#-----------------------------------------------------------
# Gestion ASSOCIATION
#-----------------------------------------------------------
010024 -  DEFINE ASSOCIATION (Associate Client Nodes with a Schedule)
#010025 -  DEFINE MACHNODEASSOCIATION (Associate a Node With a Machine)
#010026 -  DEFINE PROFASSOCIATION (Define a Profile Association)
#010027 -  DEFINE RECMEDMACHASSOCIATION (Associate Recovery Media with a Machine)
#010028 -  DELETE ASSOCIATION (Delete the Node Association to a Schedule)
#010029 -  DELETE MACHNODEASSOCIATION (Delete Association Between a Machine and a Node)
#010030 -  DELETE PROFASSOCIATION (Delete a Profile Association)
#010031 -  DELETE RECMEDMACHASSOCIATION (Delete Recovery Media and Machine Association)
#010032 -  QUERY ASSOCIATION (Query Client Node Associations with a Schedule)
@EOFF

