#!/bin/ksh
#
#  executer le Select sur une table TSM
#
#
#set -vx

#-------------- Recuperer Parm
# exemple tout ce que l on peut recuperer
#
## + COLAFFICHE=LIBRARY_NAME,DRIVE_NAME,DEVICE_TYPE,DRIVE_SERIAL
## + TABLE=DRIVES
## + COLCIBLE=ELEMENT SMALLINT
## + CRITCIBLE==
## + VALCIBLE=520
## + CRITRESULT=Order by ou Group by
## + ORDERBY=DRIVE_SERIAL

while [ $# -gt 0 ]
do
case $1 in
   REQSAISIE=*)   REQSAISIE=$( echo $@ | sed "s#REQSAISIE=##;s/#/\'/g" )     ;;
      *)      eval $( echo $1 | sed "s/=/=\'/;s/$/\'/")
                 ;;
esac
shift
done

#----------- type colcible si num ou alphnum
TypeCOLCIBLE=$( echo "$COLCIBLE"  | cut -d" " -f2 )
COLCIBLE=$( echo "$COLCIBLE"  | cut -d" " -f1 )

#----------- Si pas de colonne a afficher = toutes
test -z "$COLAFFICHE" && COLAFFICHE='*'
case "$TypeCOLCIBLE" in
     SMALLINT*|DECIMAL*|INTEGER*)  
          CRITCIBLE=${CRITCIBLE}${VALCIBLE}
          VALCIBLE=
            ;;
     TIMESTAMP*)  
          CRITCIBLE=${CRITCIBLE}\'${VALCIBLE}\'
          VALCIBLE=
            ;;
     BOOLEAN)                 
          CRITCIBLE=${CRITCIBLE}${VALCIBLE}
          VALCIBLE=
            ;;
     *)   test -n "${VALCIBLE}" && VALCIBLE=\'$VALCIBLE\'
      case "$CRITCIBLE" in
           *\<*|*\>*)  CRITCIBLE=
                   VALCIBLE=
                    ;;
      esac
            ;;
esac

#------- preparer requete 
requete="select $COLAFFICHE from $TABLE"
test ! -z "$COLCIBLE" && requete="$requete where $COLCIBLE $CRITCIBLE $VALCIBLE"
test ! -z "$REQSAISIE" && requete="$requete $REQSAISIE"
test ! -z "$CRITRESULT" && requete="$requete $CRITRESULT $ORDERBY"

cat << _EOFF

 $requete 

_EOFF

#--------- execute requete
[ -z "${SQLDISPLAYMODE}" ] && SQLDISPLAYMODE=Narrow
case ${SQLDISPLAYMODE} in 
        Tableau)
Cde=$( echo ${COLAFFICHE} | awk '{i=split($0,t,","); for(z=1;z<=i;z++){ tutu=tutu" %-30s |"; titi=titi",$"z ; } ; print "printf(\""tutu"\\n\""titi"\)" }' )
Cdeb="awk -F"," '{ ${Cde} }'"
souli=$( echo ${COLAFFICHE} | awk '{ i=split($0,t,",") ; i=33*i ;  for(z=1;z<=i;z++) { souli=souli"=" } ; print souli }' )
echo $souli
echo ${COLAFFICHE} | eval $Cdeb
echo $souli
dsmadmc -id=batch -pa=batch -dataonly=yes -comma -NOConfirm << _EOFF | eval $Cdeb
$requete
quit
_EOFF
           ;;
        Comma)
dsmadmc -id=batch -pa=batch -dataonly=yes -comma -NOConfirm << _EOFF
$requete
quit
_EOFF
           ;;
        *)
dsmadmc -id=batch -pa=batch -NOConfirm << _EOFF | tail +10
Set SQLDISPlaymode ${SQLDISPLAYMODE}
$requete
quit
_EOFF
           ;;
esac
