#!/bin/ksh
#
#  cancel des sessions reseaux >= 2 heures
#

#---------- Fonctions
Session()
{
${AccesTsm} << @EOFFF
select SESSION_ID,START_TIME,STATE,SESSION_TYPE,CLIENT_NAME,OWNER_NAME from SESSIONS where WAIT_SECONDS >=7200  and client_name in (select node_name from nodes where domain_name like 'DOM_RESEAU%' )
quit
@EOFFF
}

CanSession()
{
${AccesTsm} << @EOFFF
select 'can se ' ||CAST(SESSION_ID AS CHAR(10))|| ' ' from SESSIONS where WAIT_SECONDS >=7200  and client_name in (select node_name from nodes where domain_name like 'DOM_RESEAU%' )
quit
@EOFFF
}

#---------- Main
set -a 

#-- Chargement des variables necessaires au scripts ----------------#
. ${PATH_TSM}/data/requete_control_TSM_$(uname -n).parm


Session > ${FicOut}
test $? -eq 11 && echo " Pas de sessions a canceler " && exit 0

cat << @EOF | sh
${AccesTsm} << @EOFF
$( CanSession | grep -w can )
quit
@EOFF
@EOF

cat ${FicOut}
test -f ${FicOut} && rm ${FicOut}
