#!/bin/ksh
#=====================================================================
#
# Count Nbre bandes Volrange et scratchs
#
#=====================================================================

qlibvol()
{
##dsmadmc -id=${UserTSm} -pa=${PassTsm} << @EOFF |  tail +12 | grep -v ANS | sed 's/ //g'
dsmadmc -id=${UserTSm} -pa=${PassTsm} -dataonly=yes "select $1 from LIBVOLUMES where LIBRARY_NAME = 'SL8500' and VOLUME_NAME>='$deb' and VOLUME_NAME<='$fin'"
}

qlibvolscratch()
{
dsmadmc -id=${UserTSm} -pa=${PassTsm} -dataonly=yes "select $1 from LIBVOLUMES where LIBRARY_NAME = 'SL8500' and STATUS = 'Scratch'"
}

qdrmedia()
{
dsmadmc -id=${UserTSm} -pa=${PassTsm} -dataonly=yes "select $1 from drmedia where STATE != 'MOUNTABLE' and VOLUME_NAME>='$deb' and VOLUME_NAME<='$fin'"
}

#=====================================================================
#================= MAIN
#=====================================================================

set -a

. ${PATH_TSM}/data/requete_control_TSM_$(uname -n).parm

#================== Table Colonnes pour l edition
COMMUN=/environnements/GETIMA/commun
#echo "= range de $deb a $fin === $totranges = $rangetsmlibv = $rangetsmdrmed = $totrangestsm = $cartmanq"
Edit_ZonesDeb="\
 ;___VolRange;20\
 ;__________________--_TOTAUX_Bandes_--;52\
 ;___Bandes_Manquantes;50"

Edit_Zones="\
 range;;20\
 totranges;__Range;11\
 totrangestsm;__TSM;10\
 rangetsmlibv;TSM_LibVol;11\
 rangetsmdrmed;TSM_DRMedia;11\
 cartmanq;;50"

 souli=";-;$( $COMMUN/outils/Edit_Tableau.exe longl ${Edit_ZonesDeb} )"
 Souli=";=;$( $COMMUN/outils/Edit_Tableau.exe longl ${Edit_Zones} )"

#======== Fonction Edit
     $COMMUN/outils/Edit_Tableau.exe souli ${Souli}
     $COMMUN/outils/Edit_Tableau.exe titre ${Edit_ZonesDeb}
     $COMMUN/outils/Edit_Tableau.exe titre ${Edit_Zones}
     $COMMUN/outils/Edit_Tableau.exe souli ${Souli}

#typeset -i totranges totauxranges totrangestsm totauxrangestsm 

totranges=0
totauxranges=0
totrangestsm=0
totauxrangestsm=0
totauxrangetsmlibv=0
totauxrangetsmdrmed=0

cartmanq=
Totcartmanq=0

for pool in $( sed "s/volrange=/ /;s/,/#/" ${PathScripts}/data/volrange.txt )
do
#=======debut range et fin
  deb=$( echo $pool | cut -d"#" -f1 )
  fin=$( echo $pool | cut -d"#" -f2 )

   range=$fin
  (( range-=$deb ))
  (( totranges+=range ))

#=======total bandes dans un range
  (( totranges+=1 ))

#=======total bandes dans libvol d apres le range lu
rangetsmlibv=$( qlibvol "count(VOLUME_NAME)" )
   (( totrangestsm+=rangetsmlibv ))
   (( totauxrangetsmlibv+=rangetsmlibv ))

#=======total bandes dans drmedia d apres le range lu
rangetsmdrmed=$( qdrmedia "count(VOLUME_NAME)" )
   (( totrangestsm+=rangetsmdrmed ))
   (( totauxrangetsmdrmed+=rangetsmdrmed ))

#=======total bandes dans libvol+drmedia d apres le range lu
   (( totauxranges+=totranges ))
   (( totauxrangestsm+=totrangestsm ))

#====== si difference entre range et TSM extraire num bandes
if test $totranges -ne $totrangestsm
then
ficrange=/tmp/$( basename $0 )_range_$$
ficTSM=/tmp/$( basename $0 )_TSM_$$

  encour=$deb

  while [ $encour -le $fin ]
  do
   echo $encour >> ${ficrange}
   (( encour+=1 ))
  done

  qlibvol "VOLUME_NAME" > ${ficTSM}
  qdrmedia "VOLUME_NAME" >> ${ficTSM}
  ### plus besoin normalement depuis select not Mountable ## sed '/^$/d' ${ficTSM} | sort -u >> ${ficTSM}_sort
  sed '/^$/d' ${ficTSM} | sed 's/ //g' | sort -n >> ${ficTSM}_sort

 if test $totranges -gt $totrangestsm 
 then
   #cartmanq="Manque bandes dans TSM $( diff ${ficrange} ${ficTSM}_sort | grep '<' | sed 's/<//g'| tr "\n" " " )"
   ##cartmanq="$( diff ${ficrange} ${ficTSM}_sort | grep '<' | sed 's/<//g'| tr "\n" " " )"
   cartmanq="$( comm -3 ${ficrange} ${ficTSM}_sort | tr "\t" " " | tr "\n" " " )"
 else
   #cartmanq="Manque bandes dans range $( diff ${ficrange} ${ficTSM}_sort | grep '>' | sed 's/>//g'| tr "\n" " " )"
   ##cartmanq="$( diff ${ficrange} ${ficTSM}_sort | grep '>' | sed 's/>//g'| tr "\n" " " )"
   cartmanq="$( comm -3 ${ficrange} ${ficTSM}_sort | tr "\t" " " | tr "\n" " " )"
 fi

nbrecartmanq=$( echo ${cartmanq} | tr " " "\n" | awk 'END { print NR }' )
(( Totcartmanq+=nbrecartmanq ))

 test -f ${ficrange} && rm ${ficrange}
 test -f ${ficTSM} && rm ${ficTSM}
 test -f ${ficTSM}_sort && rm ${ficTSM}_sort
fi

#=====================bilan totaux 
##echo "= range de $deb a $fin === $totranges = $rangetsmlibv = $rangetsmdrmed = $totrangestsm = $cartmanq"
range=" $deb  $fin "
     $COMMUN/outils/Edit_Tableau.exe ligne ${Edit_Zones}

totranges=0
totrangestsm=0
cartmanq=

done
#=====================Totaux globaux
##echo "= TOTAUX                   === $totauxranges = $totauxrangestsm ="
 range=TOTAUX
 totranges=$totauxranges
 rangetsmlibv=$totauxrangetsmlibv
 rangetsmdrmed=$totauxrangetsmdrmed
 totrangestsm=$totauxrangestsm
 
 cartmanq=${Totcartmanq}

     $COMMUN/outils/Edit_Tableau.exe souli ${Souli}
     $COMMUN/outils/Edit_Tableau.exe ligne ${Edit_Zones}
     $COMMUN/outils/Edit_Tableau.exe souli ${Souli}

#======================== Calcul nbre de Scratchs
 totscrath=$( qlibvolscratch "COUNT(VOLUME_NAME)" )
 totauxrangetsmlibv=$totscrath

 (( totscrath*=100 ))
 (( totscrath/=rangetsmlibv))

 range=" ${totscrath}% de scratchs"
 totranges=
 rangetsmlibv=$totauxrangetsmlibv
 rangetsmdrmed=
 totrangestsm=
 cartmanq=

     $COMMUN/outils/Edit_Tableau.exe ligne ${Edit_Zones}
     $COMMUN/outils/Edit_Tableau.exe souli ${Souli}


return ${totscrath}
