#!/bin/ksh
#=========================================================================
#
#  Ficname     : Backup_DB.ksh
#
#  Redacteur   : JF.GONZALEZ GARCIA
#  Copyright   : CIMAFAP-NANTERRE
#  date        : 19 mai 2011
#  Projet      : TSM
#  Version     : 1.0
#
#  Description : BACKUP DE LA BASE TSM ET DE CES LOGS
#
#=========================================================================
#

. ${PATH_TSM}/scripts/profile_scripts


#**********************************************************************************
# BACKUP DB 
# (Sauvegarde de la base de donnes)
# Cette commande permet de sauvegarder
# une base de donnes Tivoli Storage Manager sur des volumes  accs squentiel.
#**********************************************************************************

dsmadmc -id=${TsM_uSer} -pa=${TsM_pAss} backup db devclass=${TsM_dEvClass} type=full scratch=yes wait=yes

