#!/bin/ksh
#=========================================================================
#
#  Ficname     : MoveDRMEDIA.ksh
#
#  Redacteur   : JF.GONZALEZ GARCIA
#  Copyright   : CIMAFAP-NANTERRE
#  date        : 30 mai 2011
#  Projet      : TSM
#  Version     : 1.0
#
#  Description : # ATTENTION #Script GENERANT le script pour Retour des cartouches demandees
#
#=========================================================================
#
exit
. ${PATH_TSM}/scripts/profile_scripts

#**********************************************************************************
# MOVE DRMEDIA
# (Dplacement de support de reprise aprs incident)
# dplacs hors site et d'identifier les volumes dplacs
# hors site arrivs  expiration ou vides
#**********************************************************************************

echo "\n ----------------------------------- \n" >> ${TsM_HoMe_data}/retour_coffre_historique.txt
cat ${TsM_HoMe_data}/retour_coffre.txt >> ${TsM_HoMe_data}/retour_coffre_historique.txt
date > ${TsM_HoMe_data}/retour_coffre.txt

#-------------- Preparer le script DRMEDIA Vault Retrieve du jour

FicDrmedia=${PATH_TSM}/scripts/Trt_DdeRetourVol/FicDrmediaVaultRetr.ksh

cat << @@EOFFF > ${FicDrmedia}
dsmadmc -id=${TsM_uSer}  -pa=${TsM_pAss} << @EOFF
@@EOFFF

for volume in $( cat ${TsM_K7_Vault_Retrieve} )
do
cat << @@EOFFF >> ${FicDrmedia}
move drmedia ${volume} source=dbbackup tostate=onsiter cmd="Cartouche &vol a remettre au stock des cartouches vierges" cmdf="${TsM_HoMe_data}/retour_coffre.txt" append=yes wait=yes
@@EOFFF
done

cat << @@EOFFF >> ${FicDrmedia}
quit
@EOFF

if test \$? -eq 0
then
   mv ${FicDrmedia} ${FicDrmedia}_FAIT
   mv ${TsM_K7_Vault_Retrieve} ${TsM_K7_Vault_Retrieve}_FAIT
   mail -s "[DRM-$( uname -n )] \$( awk 'END { print NR }' ${TsM_K7_Vault_Retrieve}_FAIT ) K7 remises au stock des K7 vierges " "${TsM_AdressMail}" < ${TsM_HoMe_data}/retour_coffre.txt
fi

@@EOFFF

chmod 700 ${FicDrmedia}
