#!/bin/ksh
#=========================================================================
#
#  Ficname     : DdeOpenCap1.ksh
#
#  Redacteur   : JF.GONZALEZ GARCIA
#  Copyright   : CIMAFAP-NANTERRE
#  date        : 20 mai 2011
#  Projet      : TSM
#  Version     : 1.0
#
#  Description : Demande d ouverture du CAP1 sur robot SL8500
#
#=========================================================================
#

. ${PATH_TSM}/scripts/profile_scripts

#**********************************************************************************
#
#  Demande d ouverture du CAP1 sur robot SL8500
#
#**********************************************************************************

cat << @EOFF | mail -s"[DRM - $( uname -n) ] Traitement insertion cartouche dans robot" "${TsM_AdressMail}"

Bonjour,

Vous trouverez ci dessous les tapes  drouler
pour rentrer les cartouches issues de memogardes dans le robot SL8500

1) Se connecter a ACSLS
   telnet 170.248.238.69
         login acsss
         password ssfb

2) Taper : cmd_proc -l

   On doit avoir ceci

----------------------------------ACSLS 7.2.0----------------------------------
          Copyright 2007 Sun Microsystems, Inc. All rights reserved.
                       Use is subject to license terms.

ACSSA> query server
2009-09-25 11:09:26              Server Status
 Identifier   State            Free Cell  Audit  Mount  Dismount  Enter  Eject
                               Count      C/P    C/P    C/P       C/P    C/P
              run              236        0/0    0/0    0/0       0/0    0/0
ACSSA>


3) Pour ouvrir le cap 1 qui est rserv  l'open
   Passer la commande suivante :
    enter  0,1,1

4) Aller au robot
   appuyer sur le bouton Unlocked Cap B qui doit tre allumer

5) Inserer les cartouches dans les racks du CAP
   La languette rouge de la cartouche doit se retrouve sur votre gauche

6) Fermer le CAP
   appuyer sur le bouton Unlocked Cap B

7) A la console ACSSS attendre la fin de l'insertion

   Message : Enter complete, xx cartridges entered.
                             xx = nombre de cartouches rentres

8) Pour se deconnecter
    Taper : Ctrl + c
    puis  : logoff

9) Pour inserer les cartouches dans TSM
   - Aller sur ControlM $( uname -n )
   - Confirm job IN_DRM_EntreeVol-001 qui lancera le script : AvertirTSMRetourCoffre.ksh
 Ou
   - Se connecter sur Hermes avec user root
   - lancer le script : ${PATH_TSM}/scripts/Outils/retour_memogarde_sl8500.ksh

10) Fin

Cdt

@EOFF
